
<% adv = rca.advancement(step) %>
<div class="<%= adv==0 ? 'step-advance-red' : adv==1 ? 'step-advance-orange' : 'step-advance-green' %>">

  <div class="step-menu <%= (active_step_tool&.step == step) ? 'active' : '' %>" >

    <a id='header-step-<%=step.id.to_s%>' class="step-menu-title" type="button" data-toggle="collapse" href="#step-<%=step.id.to_s%>" aria-expanded="false" aria-controls="step-<%=step.id.to_s%>">
      <div>
        <%= step.name %>
        <span class='collapse-icon'>
          <%= fa_icon('caret-down', class: 'icon-right') %>
        </span>
      </div>
    </a>

    <div class='step-menu-icons'>
      <div class='step-menu-icon-adv'>
        <%= link_to fa_icon('circle'), rca_advancement_set_path(id: rca.id, step: step, advance: 0), method: :patch, title: 'not started', style: "#{adv==0 ? 'opacity:1.0;' : 'opacity:0.5;'}" %>
        <%= link_to fa_icon('play-circle'), rca_advancement_set_path(id: rca.id, step: step, advance: 1), method: :patch, title: 'started', style: "#{adv==1 ? 'opacity:1.0;' : 'opacity:0.5;'}" %>
        <%= link_to fa_icon('check-circle'), rca_advancement_set_path(id: rca.id, step: step, advance: 2), method: :patch, title: 'finished', style: "#{adv==2 ? 'opacity:1.0;' : 'opacity:0.5;'}" %>
      </div>
      <div class="step-menu-icon-more">
        <%= link_to fa_icon('image'), meth_step_tool_show_path(id: step.step_tool_img, rca: rca) %>
        <%= link_to fa_icon('folder'), meth_step_tool_show_path(id: step.step_tool_doc, rca: rca) %>
      </div>
    </div>

    <ul id="step-<%=step.id.to_s%>" class="collapse-prowhy-ls collapse list-unstyled step-menu-content">
        <% step.step_tools.each do |step_tool| %>
          <% tool = step_tool.tool %>

          <li class='tool-menu'>
            <%= link_to step_menu_name_show(step_tool),
                        meth_step_tool_show_path(id: step_tool, rca: rca),
                        title: step_tool.name_show_short,
                        class: "tool-menu-title" + (active_step_tool&.id == step_tool.id ? ' tool-menu-title-active': '') %>
          </li>
        <% end %>
    </ul>
  </div>

</div>
